### Hierarchy

- OwnPropsOfControl
  - OwnOneOfProps

## Index

### Properties

- enabled
- id
- indexOfFittingSchema
- path
- renderers
- schema
- uischema
- visible

## Properties

### Optional enabled

enabled: boolean

Inherited from OwnPropsOfRenderer.enabled

Whether the rendered element should be enabled.

### Optional id

id: string

Inherited from OwnPropsOfControl.id

### Optional indexOfFittingSchema

indexOfFittingSchema: number

- Defined in packages/material/src/complex/MaterialOneOfRenderer.tsx:57

### Optional path

path: string

Inherited from OwnPropsOfRenderer.path

Optional instance path. Necessary when the actual data path can not be inferred via the UI schema element as it is the case with nested controls.

### Optional renderers

renderers: JsonFormsRendererRegistryEntry[]

Inherited from OwnPropsOfRenderer.renderers

### Optional schema

schema: JsonSchema

Inherited from OwnPropsOfRenderer.schema

The JSON schema that describes the data.

### Optional uischema

uischema: ControlElement

Inherited from OwnPropsOfControl.uischema

Overrides OwnPropsOfRenderer.uischema

### Optional visible

visible: boolean

Inherited from OwnPropsOfRenderer.visible

Whether the rendered element should be visible.

Generated using TypeDoc